﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace PrintGridWithHeaderText_WPF
{
    public class Employee : INotifyPropertyChanged
    {
        private int number;
        private string message;
        private string image;
        private DateTime datetime;
        private string source;

        public int Number
        {
            get
            {
                return this.number;
            }
            set
            {
                this.number = value;
                this.RaisePropertyChanged("Number");
            }
        }

        public string Message
        {
            get
            {
                return this.message;
            }
            set
            {
                this.message = value;
                this.RaisePropertyChanged("Message");
            }
        }

        public DateTime DateTime
        {
            get
            {
                return this.datetime;
            }
            set
            {
                this.datetime = value;
                this.RaisePropertyChanged("DateTimeing");
            }
        }

        public string Type
        {
            get
            {
                return this.image;
            }
            set
            {
                this.image = value;
                this.RaisePropertyChanged("Type");
            }
        }
        public string Source
        {
            get
            {
                return this.source;
            }
            set
            {
                this.source = value;
                this.RaisePropertyChanged("Source");
            }
        }

       public void RaisePropertyChanged(string propertyName)
       {
           if (PropertyChanged != null)
               this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
       }
       public event PropertyChangedEventHandler PropertyChanged;
    }
}
